#include "DisplayProxyMAX7456.h"

DisplayProxyMAX7456::DisplayProxyMAX7456(Max7456 *osd)
{
    this->osd = osd;
}

bool DisplayProxyMAX7456::write(int x, int y, const char *text)
{
    this->osd->print(text, x, y);
    return true;
}

bool DisplayProxyMAX7456::clear()
{
    this->osd->clearScreen();
    return true;
}

bool DisplayProxyMAX7456::setOffset(int x, int y)
{
    this->osd->setDisplayOffsets(x, y);
    return true;
}